Bug 130154 - i18n: update locale data for Estonian [et-EE]
Summary: i18n: update locale data for Estonian [et-EE]
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Mihkel Tõnnov
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks: User-Locale
  Show dependency treegraph
 
Reported: 2020-01-23 21:21 UTC by Mihkel Tõnnov
Modified: 2021-02-10 21:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mihkel Tõnnov 2020-01-23 21:21:58 UTC
Currently the Estonian locale data has following issues:
1) the "FollowPageWord" is completely incorrect ("p."/"pp.")
2) a couple of commonly used date formats are missing.

I'll upload a fixed locale XML soon, in the hopes that someone could commit it.
Comment 1 Kevin Suo 2020-01-31 06:21:01 UTC
Set to NEW.

The source file is here:
https://cgit.freedesktop.org/libreoffice/core/tree/i18npool/source/localedata/data/et_EE.xml

@Mihkel Tõnnov: You can revise the xml file and upload here. You need to discuss with your Estonian language team members after the revision, so that there is no misunderstanding and errors.
Comment 2 Eike Rathke 2020-02-04 10:57:33 UTC
If possible, please push a commit with the changes to gerrit instead of uploading a resulting file somewhere. Thanks.
Comment 3 Mihkel Tõnnov 2020-05-14 22:28:50 UTC
Submitted to Gerrit: https://gerrit.libreoffice.org/c/core/+/94256
Comment 4 Commit Notification 2020-05-18 23:46:18 UTC
Mihkel Tõnnov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4804d969bacd25ad586b3bf70d3dc8c27adb48ef

tdf#130154: update locale data for Estonian [et-EE]

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Mihkel Tõnnov 2020-05-19 20:33:58 UTC
Important changes done. Next up: NatNum12...
Comment 6 Commit Notification 2020-07-29 19:00:57 UTC
Mihkel Tõnnov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/16c93afefb59ae1be7aff75803054b2d4cc4b642

tdf#130154: update locale data for Estonian [et-EE] - follow-up

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-07-29 19:01:09 UTC
Mihkel Tõnnov committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/195e496f6ce92e9e5baa4b58015281a5c91fbf1a

tdf#130154: update locale data for Estonian [et-EE] - follow-up

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-29 19:29:48 UTC
Mihkel Tõnnov committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/d227316b22ffc08426baa5ad4a2365ed3850362c

tdf#130154: update locale data for Estonian [et-EE] - follow-up

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2021-02-09 14:40:24 UTC
A polite ping to Mihkel Tõnnov:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
Otherwise, Could you please explain what's missing?
Thanks
Comment 10 Mihkel Tõnnov 2021-02-10 21:35:50 UTC
I still haven't gotten around to implementing the fancier NatNum12 date formats. I left the BR open as a kind of a to-do reminder.